List event dates
const url = 'https://example.kwickbooking.com/public/v1/event-instances';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.kwickbooking.com/public/v1/event-instances \ --header 'Authorization: Bearer <token>'Lists every published date of the venue’s events with seats left. ListUpcomingEvents returns them grouped by event for a date range.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”OK
Public event-instance summary (a dated occurrence with tier availability).
object
Example
[ { "eventInstanceId": "01920000-0000-7000-8000-000000000005", "eventId": "01920000-0000-7000-8000-000000000004", "startAt": "2026-10-23T19:00:00+00:00", "remainingSeats": 18 }]Venue required (https://developers.kwickblocks.ai/problems/venue-required)
RFC 9457 problem details. type is a URI with a page describing the problem.
object
Safe to read to a guest.
A machine-readable code on the widget’s routes.
Examples
Venue required
{ "type": "https://developers.kwickblocks.ai/problems/venue-required", "title": "Venue required", "status": 400, "detail": "Please say which venue this is for."}Invalid or missing integration key (https://developers.kwickblocks.ai/problems/invalid-key)
RFC 9457 problem details. type is a URI with a page describing the problem.
object
Safe to read to a guest.
A machine-readable code on the widget’s routes.
Examples
Invalid or missing integration key
{ "type": "https://developers.kwickblocks.ai/problems/invalid-key", "title": "Invalid or missing integration key", "status": 401, "detail": "This integration key isn't valid. Ask the venue's admin for a new one."}Capability not granted (https://developers.kwickblocks.ai/problems/capability-missing)
RFC 9457 problem details. type is a URI with a page describing the problem.
object
Safe to read to a guest.
A machine-readable code on the widget’s routes.
Examples
Capability not granted
{ "type": "https://developers.kwickblocks.ai/problems/capability-missing", "title": "Capability not granted", "status": 403, "detail": "This integration key isn't allowed to do that. Ask the venue's admin to add the capability."}Venue not found (https://developers.kwickblocks.ai/problems/venue-not-found)
RFC 9457 problem details. type is a URI with a page describing the problem.
object
Safe to read to a guest.
A machine-readable code on the widget’s routes.
Examples
Venue not found
{ "type": "https://developers.kwickblocks.ai/problems/venue-not-found", "title": "Venue not found", "status": 404, "detail": "I couldn't find that venue."}Too many requests (https://developers.kwickblocks.ai/problems/rate-limited)
RFC 9457 problem details. type is a URI with a page describing the problem.
object
Safe to read to a guest.
A machine-readable code on the widget’s routes.
Examples
Too many requests
{ "type": "https://developers.kwickblocks.ai/problems/rate-limited", "title": "Too many requests", "status": 429, "detail": "There have been too many requests. Please try again in a minute."}